Update a Monitor for a Project
Update a monitor.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the resource belongs to. Project slugs are unique within each organization.
monitor_id_or_slug(string)REQUIREDThe ID or slug of the monitor.
Body Parameters
project(string)REQUIREDThe project ID or slug to associate the monitor to.
name(string)REQUIREDName of the monitor. Used for notifications. If not set the slug will be derived from your monitor name.
configREQUIREDThe configuration for the monitor.
slug(string)Uniquely identifies your monitor within your organization. Changing this slug will require updates to any instrumented check-in calls.
status(string)Status of the monitor. Disabled monitors will not accept events and will not count towards the monitor quota.
activedisabled
owner(string)The ID of the team or user that owns the monitor. (eg. user:51 or team:6)
is_muted(boolean)Disable creation of monitor incidents
Scopes
<auth_token> requires one of the following scopes:alerts:writeproject:adminproject:write
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/monitors/{monitor_id_or_slug}/ \ -H 'Authorization: Bearer <auth_token>' \ -X PUT \ -H 'Content-Type: application/json' \ -d '{}'
Copied.